<div class="py-4 px-24 h-screen">
  <div class="flex justify-end font-bold text-xl space-x-9">
    <a href="/admin/product/list"
      class="text-blue-500 cursor-pointer transition-colors duration-300 dark:text-red-500">Danh sách sản phẩm</a>
    <a href="/admin/product/add"
      class="text-blue-800 cursor-pointer transition-colors duration-300 dark:text-red-800">Thêm sản phẩm</a>
  </div>
  <div class="border border-gray-600 rounded-md p-5 bg-gray-100 shadow-lg mt-5">
    <h1 class="font-medium text-3xl text-blue-800 dark:text-red-600">Thêm Sản Phẩm Mới</h1>

    <form [formGroup]="productForm" (ngSubmit)="onSubmit()" class="text-left mt-4">
      <!-- Name Field -->
      <div class="mb-4">
        <input type="text" formControlName="name"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Tên Sản Phẩm">
        <span
          *ngIf="productForm.controls['name'].errors && (productForm.controls['name'].dirty || productForm.controls['name'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Tên không được để trống & phải có ít nhất 6 ký tự
        </span>
      </div>
      <!-- Thumbnail Field -->
      <div class="grid grid-cols-2 gap-12">
        <div class="mb-4">
          <input type="text" formControlName="image2"
            class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
            placeholder="Đường dẫn hình ảnh thu nhỏ">
          <span
            *ngIf="productForm.controls['image2'].errors && (productForm.controls['image2'].dirty || productForm.controls['image2'].touched || submitted)"
            class="text-red-500 mt-1 text-sm">
            Hình ảnh phụ 1 là bắt buộc
          </span>
        </div>
        <div class="mb-4">
          <input type="text" formControlName="image1"
            class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
            placeholder="Đường dẫn hình ảnh thu nhỏ">
          <span
            *ngIf="productForm.controls['image1'].errors && (productForm.controls['image1'].dirty || productForm.controls['image1'].touched || submitted)"
            class="text-red-500 mt-1 text-sm">
            Hình ảnh phụ 2 là bắt buộc
          </span>
        </div>
      </div>
      <!-- Images Field -->
      <div class="mb-4">
        <input type="text" formControlName="thumnail"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Đường dẫn hình ảnh">
        <span
          *ngIf="productForm.controls['thumnail'].errors && (productForm.controls['thumnail'].dirty || productForm.controls['thumnail'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Hình ảnh là bắt buộc
        </span>
      </div>
      <!-- Description Field -->
      <div class="mb-4">
        <textarea formControlName="description"
          class="border rounded-md w-full h-[80px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Mô tả sản phẩm"></textarea>
        <span
          *ngIf="productForm.controls['description'].errors && (productForm.controls['description'].dirty || productForm.controls['description'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Mô tả là bắt buộc
        </span>
      </div>
      <!-- Price Field -->
      <div class="mb-4">
        <input type="text" formControlName="price"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Giá sản phẩm">
        <span
          *ngIf="productForm.controls['price'].errors && (productForm.controls['price'].dirty || productForm.controls['price'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Giá sản phẩm là bắt buộc
        </span>
      </div>
      <!-- Stock Field -->
      <div class="mb-4">
        <input type="number" formControlName="stock"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Số lượng trong kho">
        <span
          *ngIf="productForm.controls['stock'].errors && (productForm.controls['stock'].dirty || productForm.controls['stock'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Số lượng trong kho là bắt buộc và phải lớn hơn hoặc bằng 0
        </span>
      </div>
      <!-- Category Field -->
      <div class="mb-4">
        <select formControlName="category"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300">
          <option *ngFor="let category of Categories; let i = index" [value]="category.id">
            {{ category.name }}
          </option>
        </select>
        <span
          *ngIf="productForm.controls['category'].errors && (productForm.controls['category'].dirty || productForm.controls['category'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Thể loại là bắt buộc
        </span>
      </div>

      <!-- Submit Button -->
      <button type="submit"
        class="cursor-pointer bg-white text-blue-800 dark:text-red-800 hover:bg-blue-800 dark:hover:bg-red-800 hover:text-white dark:hover:text-white p-2 font-semibold rounded-md mt-3 border-2 border-blue-800 dark:border-red-800">
        Tạo Sản Phẩm Mới
      </button>
    </form>
  </div>
  <br>
</div>
